Update Destination Protocol For Route

Update Destination Protocol For Route
Update a destination protocol for a route

This endpoint updates the protocol of a route destination (app, port and weight cannot be updated)

Request
URI
PATCH
https://api.example.local/v3/routes/{guid}/destinations/{destination_guid}
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource

string
destination_guid
Required

The GUID of the route destination


Request Body

Protocol of the destination

{
    "protocol": "string"
}
string
protocol
Required

Protocol of the destination

Possible values are : http1, http2,
Authentication
This operation uses the following authentication methods.
Responses
200

Successfully updated protocol of the destination

Returns RouteDestination of type(s) application/json
{
    "guid": "string",
    "app": {
        "guid": "string",
        "process": {
            "type": "string"
        }
    },
    "weight": 0,
    "port": 0,
    "protocol": "string",
    "created_at": "string",
    "updated_at": "string",
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "route": {
            "href": "string",
            "method": "string"
        }
    }
}
string
guid
Optional

guid

object
app
Optional

app

integer
weight
Optional

weight

integer
port
Optional

port

string
protocol
Optional

protocol

string As date-time As date-time
created_at
Optional

created_at

string As date-time As date-time
updated_at
Optional

updated_at

object
metadata
Optional

Metadata is a JSON object that contains information about a resource. It includes the GUID of the resource, the time the resource was created, the time the resource was last updated, and links to the resource. Metadata is included in the response body of a request to retrieve a resource.

object
links
Optional

links


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"protocol":"string"}'